On 1/24/07, Josh Rehman <[EMAIL PROTECTED]> wrote:
> BTW I'm running into more problems with JSTL support (the SQL tags
> this time). I will post when I have a good test case.

Well, I don't know what actually causes this, but it turns out that if
your deployment descriptor is 2.3 and you try to use the JSTL SQL tags
(any implementation) you get weird runtime errors:

   DataSource invalid:"java.sql.SQLException: No suitable driver"

This was a really weird problem because it has nothing to do with not
being able to find a class on the classpath. I spent 4 hours today
testing various combinations of servers before I realized the version
attribute of my deployment descriptor was to blame. The same error
occured in Tomcat 5.5, too.

It would be nice if the JSTL tags made some assertion about their
environment, but that's hardly a Resin bug, except insofar as it's
internal "fast" implementation should probably do the same. If the
tags had failed fast I would have been saved a lot of frustration!

Peace,
Josh


_______________________________________________
resin-interest mailing list
resin-interest@caucho.com
http://maillist.caucho.com/mailman/listinfo/resin-interest

Reply via email to